Commands.Exit
Keywords: net.corda.finance.contracts.asset.Obligation.Commands.Exit class
Date: 2023-09-18

net.corda.finance.contracts.asset

## Class Commands.Exit<P>

- net.corda.finance.contracts.asset.Obligation.Commands.Exit<P>

- All Implemented Interfaces:
    CommandData
  Enclosing interface:
    Obligation.Commands

      public static class Commands.Exit<P>
      implements CommandData

  A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.

- - ### Constructor Detail

    - #### Exit

          public Exit(@NotNull
                      Amount<net.corda.core.contracts.Issued> amount)

      A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.

  - ### Method Detail

    - #### getAmount

          @NotNull
          public Amount<net.corda.core.contracts.Issued> getAmount()

    - #### component1

          @NotNull
          public Amount<net.corda.core.contracts.Issued> component1()

    - #### copy

          @NotNull
          public net.corda.finance.contracts.asset.Obligation.Commands.Exit<P> copy(@NotNull
                                                                                             Amount<net.corda.core.contracts.Issued> amount)

      A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.

    - #### toString

          @NotNull
          public java.lang.String toString()

      A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.

    - #### hashCode

          public int hashCode()

      A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A command stating that the debt is being released by the beneficiary. Normally would indicate either settlement outside of the ledger, or that the obligor is unable to pay.